<div class='header'>
    <h3 style='text-align: center;margin-top:0'>Metrics Analysis</h3>
    <dx-form [formData]='filterData' [colCount]='4' labelLocation='top'>
        <dxi-item [label]='{text: "Transporter"}' dataField='transporterId' editorType='dxSelectBox'
            [editorOptions]='{ dataSource: dsTransporter, valueExrp: "id", displayExpr: "name" }'>
        </dxi-item>
        <dxi-item [label]='{text: "Depot"}' dataField='depotId' editorType='dxSelectBox'
            [editorOptions]='{ dataSource: dsDepot, valueExrp: "id", displayExpr: "name" }'>
        </dxi-item>
        <dxi-item [label]='{text: "Date Range"}' dataField='dateRange' editorType='dxDateBox'
            [editorOptions]='{ displayFormat: "dd.MM.yyyy", width: "100%" }'>
        </dxi-item>
    </dx-form>
</div>

<dx-scroll-view height='calc(100vh - 260px)' class='dx-card'>
    <div class='container-body'>
        <dx-form [formData]='filterData' [colCount]='4' labelLocation='top'>
            <dxi-item [label]='{text: "Measure"}' editorType='dxSelectBox' [editorOptions]='{ dataSource: dsMeasure }'>
            </dxi-item>
            <dxi-item [label]='{text: "Analyze by"}' editorType='dxSelectBox'
                [editorOptions]='{ dataSource: dsAnalyze }'>
            </dxi-item>
        </dx-form>
        <div class='body-graphs' style='display:flex'>
            <div class='left'>
                <div style='display: flex; margin-bottom: 10px'>
                    <span style='font-size: 15px; width: 70%'> Compare attributes</span>
                    <dx-check-box style='width: 30%' text='Compare to Last Year' [(value)]='compareToPast'>
                    </dx-check-box>
                </div>
                <dx-chart [dataSource]="dsCompared">
                    <dxi-series valueField="present"></dxi-series>
                    <dxi-series valueField="past" [visible]='compareToPast'></dxi-series>
                    <dxo-common-series-settings argumentField="company" type="bar"></dxo-common-series-settings>
                    <dxo-common-axis-settings>
                        <dxo-grid [visible]='false'> </dxo-grid>
                        <!-- <dxo-label [visible]='false'></dxo-label> -->
                    </dxo-common-axis-settings>
                    <dxo-tooltip [enabled]="true"></dxo-tooltip>
                    <dxo-legend [visible]="false"></dxo-legend>
                </dx-chart>
            </div>
            <div class='right'>
                <div style='display: flex; margin-bottom: 10px'>
                    <span style='font-size: 15px; width: 70%'> Trend Analysis, Weekly</span>
                    <dx-button type='default' text='Line'></dx-button>
                    <dx-button type='normal' text='Stacked'></dx-button>
                    <dx-button style='margin-left: 10px' type='normal' text='Monthly'></dx-button>
                    <dx-button type='default' text='Weekly'></dx-button>
                    <dx-button type='normal' text='Daily'></dx-button>
                </div>
                <dx-chart palette="Violet" [dataSource]="dsGraphData">
                    <dxi-series *ngFor="let desc of dsCompanyDescription" [valueField]="desc.value" [name]="desc.name">
                    </dxi-series>
                    <dxo-common-series-settings #seriesSettings argumentField="week" type="line">
                    </dxo-common-series-settings>
                    <dxo-margin [bottom]="20"></dxo-margin>
                    <dxo-argument-axis [valueMarginsEnabled]="false" discreteAxisDivisionMode="crossLabels">
                        <dxo-grid [visible]="true"></dxo-grid>
                    </dxo-argument-axis>
                    <dxo-legend verticalAlignment="bottom" horizontalAlignment="center" itemTextPosition="bottom">
                    </dxo-legend>
                    <dxo-export [enabled]="true"></dxo-export>
                </dx-chart>
            </div>
        </div>
    </div>
    <hr>
    <div class='container-body' style='display:flex'>
        <dx-data-grid [dataSource]="gridDs" [showColumnLines]='false' [showRowLines]='true'>
            <dxi-column width='100' dataField="loss"></dxi-column>
            <dxi-column width='80' dataField="cases"></dxi-column>
            <dxi-column width='150' cellTemplate='progress'>
                <div *dxTemplate="let data of 'progress'" style='height: 20px; background-color: rgb(237, 241, 242)'>
                    <div [style.background-color]='data.data.color' [style.width.px]='data.data.progress'
                        [style.height.px]='20'></div>
                </div>
            </dxi-column>
        </dx-data-grid>
        <dx-data-grid [dataSource]='dsGridData'>
            <dxi-column caption='Truck/Trailers' dataField='truck' dataType='string'></dxi-column>
            <dxi-column caption='Driver' dataField='driver' dataType='string'></dxi-column>
            <dxi-column caption='% Loss' dataField='lossProc' dataType='number'></dxi-column>
            <dxi-column caption='Loss (lit)' dataField='lossLit' dataType='number'></dxi-column>
            <dxi-column caption='Deliveries' dataField='deliveries' dataType='number'></dxi-column>
            <dxi-column caption='Quantity' dataField='quantity' dataType='number'></dxi-column>
            <dxi-column caption='Type' dataField='trailerType' dataType='string'></dxi-column>
        </dx-data-grid>
    </div>
</dx-scroll-view>